package com.hzjt.mapper;

import com.hzjt.domain.Vehicles;
import com.hzjt.domain.Vehiclesdetail;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface TraffFlowMapper {
     int add(Vehicles excelModel);

    int insertlist(Vehiclesdetail vehiclesdetail);

    List<Map> selectFiveAndDayFlow(String videoid);

    List<Map> selectFiveAndTypeDayFlow(String videoid);
    Integer  statisVehiclesByDay(String startime);
    Integer  deleteBeforeTwoMonthVehicles(String startime);
    Integer  deleteBeforeTwoMonthVehiclesDetails(String startime);

}
